/*
 *  Copyright (c) Members of the EGEE Collaboration. 2004. 
 *  See http://www.eu-egee.org/partners/ for details on the copyright
 *  holders.  
 *
 *  Licensed under the Apache License, Version 2.0 (the "License"); 
 *  you may not use this file except in compliance with the License. 
 *  You may obtain a copy of the License at 
 *
 *      http://www.apache.org/licenses/LICENSE-2.0 
 *
 *  Unless required by applicable law or agreed to in writing, software 
 *  distributed under the License is distributed on an "AS IS" BASIS, 
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
 *  See the License for the specific language governing permissions and 
 *  limitations under the License.
 *
 *  GLite Data Transfer Url Copy: UrlCopyStatus structure
 *
 *  Authors: Paolo Badino <paolo.badino@cern.ch>
 *  Version info: $Id: UrlCopyStatus.h,v 1.2 2007/01/31 09:40:27 badino Exp $
 *  Release: $Name: glite-data-transfer-url-copy_R_2_0_1_6 $
 */
#ifndef GLITE_DATA_TRANSFER_URL_COPY_URL_COPY_STATUS_H_
#define GLITE_DATA_TRANSFER_URL_COPY_URL_COPY_STATUS_H_

namespace glite   {
namespace data    {
namespace transfer{
namespace urlcopy {

/**
 * UrlCopy Stat States
 */	
struct UrlCopyStatus {
    typedef enum {
        IDLE      = 0, // the request is idle
        PREPARING = 1, // the transfer is in preparation phase
        READY     = 2, // the preparation phase is ready
        RUNNING   = 3, // the transfer is running
        DONE      = 4, // the transfer is completed successfully
        FAILED    = 5, // the transfer is failed
        ABORTED   = 6, // the transfer has been aborted
        COMPLETED = 7  // the request has been completed (successfully or not)
    } Value;
    
    /**
     * Get String representation of the status
     */	
    static const char * toString(Value v) throw();
};

} // end namespace urlcopy
} // end namespace transfer
} // end namespace data
} // end namespace glite

#endif //GLITE_DATA_TRANSFER_URL_COPY_URL_COPY_STATUS_H_
